Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui
Class MainMenu

    java.lang.Object
      net.sf.borg.ui.MainMenu

     class MainMenu

extends Object

The borg main menu bar

Constructor Summary
`MainMenu()` constructor

Method Summary
`static void` | `AboutMIActionPerformed()` show the about window
`void` | `addAction(Icon icon, String text, ActionListener action, int insertIndex)` Add an action to the action menu
`void` | `addHelpMenuItem(Icon icon, String text, ActionListener action)` add an item to the help menu
`void` | `addPluginSubMenu(JMenu menu)` add a sub menu to the plugin menu
`JMenuBar` | `getMenuBar()` get the menu bar

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainMenu

    public MainMenu()

  constructor

Method Detail

### addAction

    public void addAction(Icon icon,
                          String text,
                          ActionListener action,
                          int insertIndex)

  Add an action to the action menu

  Parameters:
    `icon` - the icon for the menu item
    `text` - the text for the menu item
    `action` - the action listener for the menu item
    `insertIndex` - the index to insert the menu item at

### addHelpMenuItem

    public void addHelpMenuItem(Icon icon,
                                String text,
                                ActionListener action)

  add an item to the help menu

  Parameters:
    `icon` - the icon for the menu item
    `text` - the menu item text
    `action` - the menu item action

### AboutMIActionPerformed

    public static void AboutMIActionPerformed()

  show the about window

### getMenuBar

    public JMenuBar getMenuBar()

  get the menu bar

  Returns:
    the menu bar

### addPluginSubMenu

    public void addPluginSubMenu(JMenu menu)

  add a sub menu to the plugin menu

  Parameters:
    `menu` - the sub menu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic